package org.project.item.weapons;

import org.project.entity.Entity;
import org.project.item.Item;

// TODO: UPDATE IMPLEMENTATION
public abstract class Weapon extends Item {
    protected int damage;

    public Weapon(String name, int damage, int value) {
        super(name, value);
        this.damage = damage;
    }

    public int getDamage() {
        return damage;
    }
}
